GET
/domainnames/{domain_name}/basepathmappings
http://apigateway.{region}.amazonaws.com/domainnames/{domain_name}/basepathmappingsRepresents a collection of BasePathMapping resources.
Access Token Required: API Key
Path Parameters
domain_namestringrequired
The domain name of a BasePathMapping resource.
Query Params
positionstring
The current pagination position in the paged result set.
limitinteger
The maximum number of returned results per page. The default value is 25 and the maximum value is 500.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/domainnames/{domain_name}/basepathmappings' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}